curl --request POST \
--url https://api.sandbox.teal.dev/v0/instance \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entries_start": "2023-11-07T05:31:56Z",
"name": "<string>",
"coa_template_id": "CNmWM3X6AcvRdEwZKxq4bL",
"custom_coa": {
"ledgers": [
{
"name": "<string>",
"sort_code": "<string>",
"children": [
"<unknown>"
]
}
],
"required_ledgers": {
"uncategorized_inflow": {
"name": "Uncategorized Cash Inflow",
"sort_code": "0"
},
"uncategorized_outflow": {
"name": "Uncategorized Cash Outflow",
"sort_code": "1"
},
"transfers_between_accounts": {
"name": "Transfers Between Accounts",
"sort_code": "2"
},
"opening_balances": {
"name": "Opening Balance Retained Earnings",
"sort_code": "3"
},
"accounts_receivable": {
"name": "Accounts Receivable",
"sort_code": "4"
},
"accounts_payable": {
"name": "Accounts Payable",
"sort_code": "6"
},
"retained_earnings": {
"name": "Retained Earnings",
"sort_code": "8020"
},
"current_year_earnings": {
"name": "Current Year Earnings",
"sort_code": "8030"
}
}
},
"subscription": "tier0",
"accounting_basis": "accrual"
}
'import requests
url = "https://api.sandbox.teal.dev/v0/instance"
payload = {
"entries_start": "2023-11-07T05:31:56Z",
"name": "<string>",
"coa_template_id": "CNmWM3X6AcvRdEwZKxq4bL",
"custom_coa": {
"ledgers": [
{
"name": "<string>",
"sort_code": "<string>",
"children": ["<unknown>"]
}
],
"required_ledgers": {
"uncategorized_inflow": {
"name": "Uncategorized Cash Inflow",
"sort_code": "0"
},
"uncategorized_outflow": {
"name": "Uncategorized Cash Outflow",
"sort_code": "1"
},
"transfers_between_accounts": {
"name": "Transfers Between Accounts",
"sort_code": "2"
},
"opening_balances": {
"name": "Opening Balance Retained Earnings",
"sort_code": "3"
},
"accounts_receivable": {
"name": "Accounts Receivable",
"sort_code": "4"
},
"accounts_payable": {
"name": "Accounts Payable",
"sort_code": "6"
},
"retained_earnings": {
"name": "Retained Earnings",
"sort_code": "8020"
},
"current_year_earnings": {
"name": "Current Year Earnings",
"sort_code": "8030"
}
}
},
"subscription": "tier0",
"accounting_basis": "accrual"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
entries_start: '2023-11-07T05:31:56Z',
name: '<string>',
coa_template_id: 'CNmWM3X6AcvRdEwZKxq4bL',
custom_coa: {
ledgers: [{name: '<string>', sort_code: '<string>', children: ['<unknown>']}],
required_ledgers: {
uncategorized_inflow: {name: 'Uncategorized Cash Inflow', sort_code: '0'},
uncategorized_outflow: {name: 'Uncategorized Cash Outflow', sort_code: '1'},
transfers_between_accounts: {name: 'Transfers Between Accounts', sort_code: '2'},
opening_balances: {name: 'Opening Balance Retained Earnings', sort_code: '3'},
accounts_receivable: {name: 'Accounts Receivable', sort_code: '4'},
accounts_payable: {name: 'Accounts Payable', sort_code: '6'},
retained_earnings: {name: 'Retained Earnings', sort_code: '8020'},
current_year_earnings: {name: 'Current Year Earnings', sort_code: '8030'}
}
},
subscription: 'tier0',
accounting_basis: 'accrual'
})
};
fetch('https://api.sandbox.teal.dev/v0/instance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"entries_start": "2023-11-07T05:31:56Z",
"name": "<string>",
"accounting_package": "platformgl",
"accounting_basis": "accrual"
}{
"message": "<string>",
"data": "<unknown>",
"display_message": "<string>"
}{
"message": "<string>",
"data": "<unknown>",
"display_message": "<string>"
}{
"message": "<string>",
"data": "<unknown>",
"display_message": "<string>"
}{
"message": "<string>",
"data": "<unknown>",
"display_message": "<string>"
}Create an Instance
Creates a new Instance based on the given parameters.
Authorizations
Bearer authentication header of the form Bearer , where is your auth token.
Headers
The agent id
Body
The datetime in UTC time from which the API will sync an Instance's accounting data. Transactions or journal entries cannot be entered before this date. The time component is ignored — the value is always stored as start-of-day UTC (00:00:00Z).
"2024-01-01T00:00:00Z"
The name of the business.
"ACME Goods Inc"
The ID of the Chart of Accounts Template used to pre-populate the Instance's ledgers.
"CNmWM3X6AcvRdEwZKxq4bL"
A custom COA definition to be used for the created instance.
Show child attributes
Show child attributes
The Instance's subscription tier.
tier0, tier1, tier2, tier3, tier4 "tier3"
The accounting method used: cash basis or accrual basis.
cash, accrual "accrual"
Response
Successful Response
The unique ID of the object.
"RKtPbubK5NcbBsUmU1ktSP"
The datetime in UTC time from which the API will sync an Instance's accounting data. Transactions or journal entries cannot be entered before this date. The time component is ignored — the value is always stored as start-of-day UTC (00:00:00Z).
"2024-01-01T00:00:00Z"
The name of the business.
"ACME Goods Inc"
The Instance's subscription tier.
tier0, tier1, tier2, tier3, tier4 "tier3"
The type of accounting package the Instance uses as the source of truth for their books.
platformgl "platformgl"
The accounting method used: cash basis or accrual basis.
cash, accrual "accrual"